@charset "utf-8";


/* 404 */
.wrapper--404{padding-top: 2rem;padding-bottom: 2rem;text-align:center;font-size: 20px;background: linear-gradient(135deg,rgba(176, 15, 20, 0.2) 0%,rgba(51, 51, 153, 0.9) 100%),url(../images/all/bg-noise.webp?20260416),linear-gradient(135deg,rgba(176,15,20,1) 0%,rgba(51,51,153,1) 100%);color:#fff}
.wrapper--404 .container{position: relative;display:flex;justify-content: space-between;align-items: center;}
.wrapper--404 .container::before,.wrapper--404 .container::after{content:'';position:absolute;top:50%;background: #fff;}
.wrapper--404 .container::before{
    left: 24vw;
    right: 340px;
    /* width: calc(100% - 36vw - 200px); */
    height: 1px;
    opacity: .25;
	 background:linear-gradient(to right, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 25%,rgba(255,255,255,0) 100%)
}
.wrapper--404 .container::after{
    left: 24vw;
    width: 6px;
    height: 6px;
    border-radius: 3em;
    transform: translateY(-50%);
    -webkit-animation: key404 3.0s infinite ease-out;
    animation: key404 3.0s infinite ease-out;
	box-shadow:0 0 1rem rgba(255,255,255,.9);
}
@-webkit-keyframes key404 {
  0%{left:24vw;opacity:0;box-shadow:0 0 1rem rgba(255,255,255,.9)}
  15%{opacity:1;box-shadow:0 0 3rem rgba(255,255,255,1)}
  100%{left:60vw;opacity:0;box-shadow:0 0 1rem rgba(255,255,255,.9)}
}
@keyframes key404 {
  0%{left:24vw;opacity:0;box-shadow:0 0 1rem rgba(255,255,255,.9)}
  15%{opacity:1;box-shadow:0 0 3rem rgba(255,255,255,1)}
  100%{left:60vw;opacity:0;box-shadow:0 0 1rem rgba(255,255,255,.9)}
}

.wrapper--404 h1{margin-bottom: 0;font-size: 12vw;font-weight:700;text-shadow: 0 5px 1rem rgba(0, 0, 0, 0.5);line-height: 1;}
.wrapper--404 .space{width:100px;height:150px;border-top-left-radius:5em;border-top-right-radius:5em;overflow:hidden;margin:30px auto 0;position:relative;pointer-events:none;-webkit-transform:translateZ(0);display: none;}
.wrapper--404 .blackhole{height:100px;width:100px;border-radius:100%;position:absolute;top:0;left:0;background: #2a1b5b;background: linear-gradient(135deg,rgba(176,15,20,1) 0%,rgba(51,51,153,1) 100%);box-shadow: inset 0 1rem 3rem rgba(0, 0, 0, 0.9), 0 0 3rem #000;}
.wrapper--404 .blackhole:after{content:'';height:calc(100% + 10px);width:calc(100% + 10px);border:5px solid #000;border-right-color:transparent;border-bottom-color:transparent;border-radius:50%;position:absolute;top:-5px;left:-5px;z-index:5;transform:rotate(45deg)}
.wrapper--404 .btn-style.dark-style:hover{background:rgba(255,255,255,.9)}
.wrapper--404 .ship{height:100px;width:100px;background:url(../images/404/Character.svg) center/contain no-repeat;animation:blackhole 6s infinite linear;position:absolute;bottom:-150px}
@keyframes blackhole {
  to{transform:translateY(-100vh) rotate(135deg)}
}
.wrapper--404 .btnStyle{font-size:18px;color:#fff;letter-spacing:.5em}
.wrapper--404 .btnStyle span{position:absolute;left:50%;top:50%;width:100%;transform:translate(-50%,-50%);opacity:0}
.wrapper--404 .btnStyle:hover{color:transparent}
.wrapper--404 .btnStyle:hover span{color:#fff;opacity:1}


@media (max-width: 1024px) { 

}

@media (max-width: 996px) { 

}

@media (max-width: 768px) { 


}

@media (max-width: 640px) { 
    /* 404 */
    .wrapper--404{background: linear-gradient(135deg,rgba(176, 15, 20, 0.2) 0%,rgba(51, 51, 153, 0.9) 100%),url(../images/all/bg-noise-xs.webp?20260416),linear-gradient(135deg,rgba(176,15,20,1) 0%,rgba(51,51,153,1) 100%);}
    .wrapper--404 .container{flex-direction: column;}
    .wrapper--404Promote .container{display:block}

}